export function PostgreSQLParserListener(): this;
export class PostgreSQLParserListener {
    constructor: typeof PostgreSQLParserListener;
    enterProgram(ctx: any): void;
    exitProgram(ctx: any): void;
    enterPlsqlroot(ctx: any): void;
    exitPlsqlroot(ctx: any): void;
    enterStmtblock(ctx: any): void;
    exitStmtblock(ctx: any): void;
    enterStmtmulti(ctx: any): void;
    exitStmtmulti(ctx: any): void;
    enterStmt(ctx: any): void;
    exitStmt(ctx: any): void;
    enterPlsqlconsolecommand(ctx: any): void;
    exitPlsqlconsolecommand(ctx: any): void;
    enterCallstmt(ctx: any): void;
    exitCallstmt(ctx: any): void;
    enterCreaterolestmt(ctx: any): void;
    exitCreaterolestmt(ctx: any): void;
    enterOpt_with(ctx: any): void;
    exitOpt_with(ctx: any): void;
    enterOptrolelist(ctx: any): void;
    exitOptrolelist(ctx: any): void;
    enterAlteroptrolelist(ctx: any): void;
    exitAlteroptrolelist(ctx: any): void;
    enterAlteroptroleelem(ctx: any): void;
    exitAlteroptroleelem(ctx: any): void;
    enterCreateoptroleelem(ctx: any): void;
    exitCreateoptroleelem(ctx: any): void;
    enterCreateuserstmt(ctx: any): void;
    exitCreateuserstmt(ctx: any): void;
    enterAlterrolestmt(ctx: any): void;
    exitAlterrolestmt(ctx: any): void;
    enterOpt_in_database(ctx: any): void;
    exitOpt_in_database(ctx: any): void;
    enterAlterrolesetstmt(ctx: any): void;
    exitAlterrolesetstmt(ctx: any): void;
    enterDroprolestmt(ctx: any): void;
    exitDroprolestmt(ctx: any): void;
    enterCreategroupstmt(ctx: any): void;
    exitCreategroupstmt(ctx: any): void;
    enterAltergroupstmt(ctx: any): void;
    exitAltergroupstmt(ctx: any): void;
    enterAdd_drop(ctx: any): void;
    exitAdd_drop(ctx: any): void;
    enterCreateschemastmt(ctx: any): void;
    exitCreateschemastmt(ctx: any): void;
    enterOptschemaname(ctx: any): void;
    exitOptschemaname(ctx: any): void;
    enterOptschemaeltlist(ctx: any): void;
    exitOptschemaeltlist(ctx: any): void;
    enterSchema_stmt(ctx: any): void;
    exitSchema_stmt(ctx: any): void;
    enterVariablesetstmt(ctx: any): void;
    exitVariablesetstmt(ctx: any): void;
    enterSet_rest(ctx: any): void;
    exitSet_rest(ctx: any): void;
    enterGeneric_set(ctx: any): void;
    exitGeneric_set(ctx: any): void;
    enterSet_rest_more(ctx: any): void;
    exitSet_rest_more(ctx: any): void;
    enterVar_name(ctx: any): void;
    exitVar_name(ctx: any): void;
    enterVar_list(ctx: any): void;
    exitVar_list(ctx: any): void;
    enterVar_value(ctx: any): void;
    exitVar_value(ctx: any): void;
    enterIso_level(ctx: any): void;
    exitIso_level(ctx: any): void;
    enterOpt_boolean_or_string(ctx: any): void;
    exitOpt_boolean_or_string(ctx: any): void;
    enterZone_value(ctx: any): void;
    exitZone_value(ctx: any): void;
    enterOpt_encoding(ctx: any): void;
    exitOpt_encoding(ctx: any): void;
    enterNonreservedword_or_sconst(ctx: any): void;
    exitNonreservedword_or_sconst(ctx: any): void;
    enterVariableresetstmt(ctx: any): void;
    exitVariableresetstmt(ctx: any): void;
    enterReset_rest(ctx: any): void;
    exitReset_rest(ctx: any): void;
    enterGeneric_reset(ctx: any): void;
    exitGeneric_reset(ctx: any): void;
    enterSetresetclause(ctx: any): void;
    exitSetresetclause(ctx: any): void;
    enterFunctionsetresetclause(ctx: any): void;
    exitFunctionsetresetclause(ctx: any): void;
    enterVariableshowstmt(ctx: any): void;
    exitVariableshowstmt(ctx: any): void;
    enterConstraintssetstmt(ctx: any): void;
    exitConstraintssetstmt(ctx: any): void;
    enterConstraints_set_list(ctx: any): void;
    exitConstraints_set_list(ctx: any): void;
    enterConstraints_set_mode(ctx: any): void;
    exitConstraints_set_mode(ctx: any): void;
    enterCheckpointstmt(ctx: any): void;
    exitCheckpointstmt(ctx: any): void;
    enterDiscardstmt(ctx: any): void;
    exitDiscardstmt(ctx: any): void;
    enterAltertablestmt(ctx: any): void;
    exitAltertablestmt(ctx: any): void;
    enterAlter_table_cmds(ctx: any): void;
    exitAlter_table_cmds(ctx: any): void;
    enterPartition_cmd(ctx: any): void;
    exitPartition_cmd(ctx: any): void;
    enterIndex_partition_cmd(ctx: any): void;
    exitIndex_partition_cmd(ctx: any): void;
    enterAlter_table_cmd(ctx: any): void;
    exitAlter_table_cmd(ctx: any): void;
    enterAlter_column_default(ctx: any): void;
    exitAlter_column_default(ctx: any): void;
    enterOpt_drop_behavior(ctx: any): void;
    exitOpt_drop_behavior(ctx: any): void;
    enterOpt_collate_clause(ctx: any): void;
    exitOpt_collate_clause(ctx: any): void;
    enterAlter_using(ctx: any): void;
    exitAlter_using(ctx: any): void;
    enterReplica_identity(ctx: any): void;
    exitReplica_identity(ctx: any): void;
    enterReloptions(ctx: any): void;
    exitReloptions(ctx: any): void;
    enterOpt_reloptions(ctx: any): void;
    exitOpt_reloptions(ctx: any): void;
    enterReloption_list(ctx: any): void;
    exitReloption_list(ctx: any): void;
    enterReloption_elem(ctx: any): void;
    exitReloption_elem(ctx: any): void;
    enterAlter_identity_column_option_list(ctx: any): void;
    exitAlter_identity_column_option_list(ctx: any): void;
    enterAlter_identity_column_option(ctx: any): void;
    exitAlter_identity_column_option(ctx: any): void;
    enterPartitionboundspec(ctx: any): void;
    exitPartitionboundspec(ctx: any): void;
    enterHash_partbound_elem(ctx: any): void;
    exitHash_partbound_elem(ctx: any): void;
    enterHash_partbound(ctx: any): void;
    exitHash_partbound(ctx: any): void;
    enterAltercompositetypestmt(ctx: any): void;
    exitAltercompositetypestmt(ctx: any): void;
    enterAlter_type_cmds(ctx: any): void;
    exitAlter_type_cmds(ctx: any): void;
    enterAlter_type_cmd(ctx: any): void;
    exitAlter_type_cmd(ctx: any): void;
    enterCloseportalstmt(ctx: any): void;
    exitCloseportalstmt(ctx: any): void;
    enterCopystmt(ctx: any): void;
    exitCopystmt(ctx: any): void;
    enterCopy_from(ctx: any): void;
    exitCopy_from(ctx: any): void;
    enterOpt_program(ctx: any): void;
    exitOpt_program(ctx: any): void;
    enterCopy_file_name(ctx: any): void;
    exitCopy_file_name(ctx: any): void;
    enterCopy_options(ctx: any): void;
    exitCopy_options(ctx: any): void;
    enterCopy_opt_list(ctx: any): void;
    exitCopy_opt_list(ctx: any): void;
    enterCopy_opt_item(ctx: any): void;
    exitCopy_opt_item(ctx: any): void;
    enterOpt_binary(ctx: any): void;
    exitOpt_binary(ctx: any): void;
    enterCopy_delimiter(ctx: any): void;
    exitCopy_delimiter(ctx: any): void;
    enterOpt_using(ctx: any): void;
    exitOpt_using(ctx: any): void;
    enterCopy_generic_opt_list(ctx: any): void;
    exitCopy_generic_opt_list(ctx: any): void;
    enterCopy_generic_opt_elem(ctx: any): void;
    exitCopy_generic_opt_elem(ctx: any): void;
    enterCopy_generic_opt_arg(ctx: any): void;
    exitCopy_generic_opt_arg(ctx: any): void;
    enterCopy_generic_opt_arg_list(ctx: any): void;
    exitCopy_generic_opt_arg_list(ctx: any): void;
    enterCopy_generic_opt_arg_list_item(ctx: any): void;
    exitCopy_generic_opt_arg_list_item(ctx: any): void;
    enterCreatestmt(ctx: any): void;
    exitCreatestmt(ctx: any): void;
    enterOpttemp(ctx: any): void;
    exitOpttemp(ctx: any): void;
    enterOpttableelementlist(ctx: any): void;
    exitOpttableelementlist(ctx: any): void;
    enterOpttypedtableelementlist(ctx: any): void;
    exitOpttypedtableelementlist(ctx: any): void;
    enterTableelementlist(ctx: any): void;
    exitTableelementlist(ctx: any): void;
    enterTypedtableelementlist(ctx: any): void;
    exitTypedtableelementlist(ctx: any): void;
    enterTableelement(ctx: any): void;
    exitTableelement(ctx: any): void;
    enterTypedtableelement(ctx: any): void;
    exitTypedtableelement(ctx: any): void;
    enterColumnDef(ctx: any): void;
    exitColumnDef(ctx: any): void;
    enterColumnOptions(ctx: any): void;
    exitColumnOptions(ctx: any): void;
    enterColquallist(ctx: any): void;
    exitColquallist(ctx: any): void;
    enterColconstraint(ctx: any): void;
    exitColconstraint(ctx: any): void;
    enterColconstraintelem(ctx: any): void;
    exitColconstraintelem(ctx: any): void;
    enterGenerated_when(ctx: any): void;
    exitGenerated_when(ctx: any): void;
    enterConstraintattr(ctx: any): void;
    exitConstraintattr(ctx: any): void;
    enterTablelikeclause(ctx: any): void;
    exitTablelikeclause(ctx: any): void;
    enterTablelikeoptionlist(ctx: any): void;
    exitTablelikeoptionlist(ctx: any): void;
    enterTablelikeoption(ctx: any): void;
    exitTablelikeoption(ctx: any): void;
    enterTableconstraint(ctx: any): void;
    exitTableconstraint(ctx: any): void;
    enterConstraintelem(ctx: any): void;
    exitConstraintelem(ctx: any): void;
    enterOpt_no_inherit(ctx: any): void;
    exitOpt_no_inherit(ctx: any): void;
    enterOpt_column_list(ctx: any): void;
    exitOpt_column_list(ctx: any): void;
    enterColumnlist(ctx: any): void;
    exitColumnlist(ctx: any): void;
    enterColumnElem(ctx: any): void;
    exitColumnElem(ctx: any): void;
    enterOpt_c_include(ctx: any): void;
    exitOpt_c_include(ctx: any): void;
    enterKey_match(ctx: any): void;
    exitKey_match(ctx: any): void;
    enterExclusionconstraintlist(ctx: any): void;
    exitExclusionconstraintlist(ctx: any): void;
    enterExclusionconstraintelem(ctx: any): void;
    exitExclusionconstraintelem(ctx: any): void;
    enterExclusionwhereclause(ctx: any): void;
    exitExclusionwhereclause(ctx: any): void;
    enterKey_actions(ctx: any): void;
    exitKey_actions(ctx: any): void;
    enterKey_update(ctx: any): void;
    exitKey_update(ctx: any): void;
    enterKey_delete(ctx: any): void;
    exitKey_delete(ctx: any): void;
    enterKey_action(ctx: any): void;
    exitKey_action(ctx: any): void;
    enterOptinherit(ctx: any): void;
    exitOptinherit(ctx: any): void;
    enterOptpartitionspec(ctx: any): void;
    exitOptpartitionspec(ctx: any): void;
    enterPartitionspec(ctx: any): void;
    exitPartitionspec(ctx: any): void;
    enterPart_params(ctx: any): void;
    exitPart_params(ctx: any): void;
    enterPart_elem(ctx: any): void;
    exitPart_elem(ctx: any): void;
    enterTable_access_method_clause(ctx: any): void;
    exitTable_access_method_clause(ctx: any): void;
    enterOptwith(ctx: any): void;
    exitOptwith(ctx: any): void;
    enterOncommitoption(ctx: any): void;
    exitOncommitoption(ctx: any): void;
    enterOpttablespace(ctx: any): void;
    exitOpttablespace(ctx: any): void;
    enterOptconstablespace(ctx: any): void;
    exitOptconstablespace(ctx: any): void;
    enterExistingindex(ctx: any): void;
    exitExistingindex(ctx: any): void;
    enterCreatestatsstmt(ctx: any): void;
    exitCreatestatsstmt(ctx: any): void;
    enterAlterstatsstmt(ctx: any): void;
    exitAlterstatsstmt(ctx: any): void;
    enterCreateasstmt(ctx: any): void;
    exitCreateasstmt(ctx: any): void;
    enterCreate_as_target(ctx: any): void;
    exitCreate_as_target(ctx: any): void;
    enterOpt_with_data(ctx: any): void;
    exitOpt_with_data(ctx: any): void;
    enterCreatematviewstmt(ctx: any): void;
    exitCreatematviewstmt(ctx: any): void;
    enterCreate_mv_target(ctx: any): void;
    exitCreate_mv_target(ctx: any): void;
    enterOptnolog(ctx: any): void;
    exitOptnolog(ctx: any): void;
    enterRefreshmatviewstmt(ctx: any): void;
    exitRefreshmatviewstmt(ctx: any): void;
    enterCreateseqstmt(ctx: any): void;
    exitCreateseqstmt(ctx: any): void;
    enterAlterseqstmt(ctx: any): void;
    exitAlterseqstmt(ctx: any): void;
    enterOptseqoptlist(ctx: any): void;
    exitOptseqoptlist(ctx: any): void;
    enterOptparenthesizedseqoptlist(ctx: any): void;
    exitOptparenthesizedseqoptlist(ctx: any): void;
    enterSeqoptlist(ctx: any): void;
    exitSeqoptlist(ctx: any): void;
    enterSeqoptelem(ctx: any): void;
    exitSeqoptelem(ctx: any): void;
    enterOpt_by(ctx: any): void;
    exitOpt_by(ctx: any): void;
    enterNumericonly(ctx: any): void;
    exitNumericonly(ctx: any): void;
    enterNumericonly_list(ctx: any): void;
    exitNumericonly_list(ctx: any): void;
    enterCreateplangstmt(ctx: any): void;
    exitCreateplangstmt(ctx: any): void;
    enterOpt_trusted(ctx: any): void;
    exitOpt_trusted(ctx: any): void;
    enterHandler_name(ctx: any): void;
    exitHandler_name(ctx: any): void;
    enterOpt_inline_handler(ctx: any): void;
    exitOpt_inline_handler(ctx: any): void;
    enterValidator_clause(ctx: any): void;
    exitValidator_clause(ctx: any): void;
    enterOpt_validator(ctx: any): void;
    exitOpt_validator(ctx: any): void;
    enterOpt_procedural(ctx: any): void;
    exitOpt_procedural(ctx: any): void;
    enterCreatetablespacestmt(ctx: any): void;
    exitCreatetablespacestmt(ctx: any): void;
    enterOpttablespaceowner(ctx: any): void;
    exitOpttablespaceowner(ctx: any): void;
    enterDroptablespacestmt(ctx: any): void;
    exitDroptablespacestmt(ctx: any): void;
    enterCreateextensionstmt(ctx: any): void;
    exitCreateextensionstmt(ctx: any): void;
    enterCreate_extension_opt_list(ctx: any): void;
    exitCreate_extension_opt_list(ctx: any): void;
    enterCreate_extension_opt_item(ctx: any): void;
    exitCreate_extension_opt_item(ctx: any): void;
    enterAlterextensionstmt(ctx: any): void;
    exitAlterextensionstmt(ctx: any): void;
    enterAlter_extension_opt_list(ctx: any): void;
    exitAlter_extension_opt_list(ctx: any): void;
    enterAlter_extension_opt_item(ctx: any): void;
    exitAlter_extension_opt_item(ctx: any): void;
    enterAlterextensioncontentsstmt(ctx: any): void;
    exitAlterextensioncontentsstmt(ctx: any): void;
    enterCreatefdwstmt(ctx: any): void;
    exitCreatefdwstmt(ctx: any): void;
    enterFdw_option(ctx: any): void;
    exitFdw_option(ctx: any): void;
    enterFdw_options(ctx: any): void;
    exitFdw_options(ctx: any): void;
    enterOpt_fdw_options(ctx: any): void;
    exitOpt_fdw_options(ctx: any): void;
    enterAlterfdwstmt(ctx: any): void;
    exitAlterfdwstmt(ctx: any): void;
    enterCreate_generic_options(ctx: any): void;
    exitCreate_generic_options(ctx: any): void;
    enterGeneric_option_list(ctx: any): void;
    exitGeneric_option_list(ctx: any): void;
    enterAlter_generic_options(ctx: any): void;
    exitAlter_generic_options(ctx: any): void;
    enterAlter_generic_option_list(ctx: any): void;
    exitAlter_generic_option_list(ctx: any): void;
    enterAlter_generic_option_elem(ctx: any): void;
    exitAlter_generic_option_elem(ctx: any): void;
    enterGeneric_option_elem(ctx: any): void;
    exitGeneric_option_elem(ctx: any): void;
    enterGeneric_option_name(ctx: any): void;
    exitGeneric_option_name(ctx: any): void;
    enterGeneric_option_arg(ctx: any): void;
    exitGeneric_option_arg(ctx: any): void;
    enterCreateforeignserverstmt(ctx: any): void;
    exitCreateforeignserverstmt(ctx: any): void;
    enterOpt_type(ctx: any): void;
    exitOpt_type(ctx: any): void;
    enterForeign_server_version(ctx: any): void;
    exitForeign_server_version(ctx: any): void;
    enterOpt_foreign_server_version(ctx: any): void;
    exitOpt_foreign_server_version(ctx: any): void;
    enterAlterforeignserverstmt(ctx: any): void;
    exitAlterforeignserverstmt(ctx: any): void;
    enterCreateforeigntablestmt(ctx: any): void;
    exitCreateforeigntablestmt(ctx: any): void;
    enterImportforeignschemastmt(ctx: any): void;
    exitImportforeignschemastmt(ctx: any): void;
    enterImport_qualification_type(ctx: any): void;
    exitImport_qualification_type(ctx: any): void;
    enterImport_qualification(ctx: any): void;
    exitImport_qualification(ctx: any): void;
    enterCreateusermappingstmt(ctx: any): void;
    exitCreateusermappingstmt(ctx: any): void;
    enterAuth_ident(ctx: any): void;
    exitAuth_ident(ctx: any): void;
    enterDropusermappingstmt(ctx: any): void;
    exitDropusermappingstmt(ctx: any): void;
    enterAlterusermappingstmt(ctx: any): void;
    exitAlterusermappingstmt(ctx: any): void;
    enterCreatepolicystmt(ctx: any): void;
    exitCreatepolicystmt(ctx: any): void;
    enterAlterpolicystmt(ctx: any): void;
    exitAlterpolicystmt(ctx: any): void;
    enterRowsecurityoptionalexpr(ctx: any): void;
    exitRowsecurityoptionalexpr(ctx: any): void;
    enterRowsecurityoptionalwithcheck(ctx: any): void;
    exitRowsecurityoptionalwithcheck(ctx: any): void;
    enterRowsecuritydefaulttorole(ctx: any): void;
    exitRowsecuritydefaulttorole(ctx: any): void;
    enterRowsecurityoptionaltorole(ctx: any): void;
    exitRowsecurityoptionaltorole(ctx: any): void;
    enterRowsecuritydefaultpermissive(ctx: any): void;
    exitRowsecuritydefaultpermissive(ctx: any): void;
    enterRowsecuritydefaultforcmd(ctx: any): void;
    exitRowsecuritydefaultforcmd(ctx: any): void;
    enterRow_security_cmd(ctx: any): void;
    exitRow_security_cmd(ctx: any): void;
    enterCreateamstmt(ctx: any): void;
    exitCreateamstmt(ctx: any): void;
    enterAm_type(ctx: any): void;
    exitAm_type(ctx: any): void;
    enterCreatetrigstmt(ctx: any): void;
    exitCreatetrigstmt(ctx: any): void;
    enterTriggeractiontime(ctx: any): void;
    exitTriggeractiontime(ctx: any): void;
    enterTriggerevents(ctx: any): void;
    exitTriggerevents(ctx: any): void;
    enterTriggeroneevent(ctx: any): void;
    exitTriggeroneevent(ctx: any): void;
    enterTriggerreferencing(ctx: any): void;
    exitTriggerreferencing(ctx: any): void;
    enterTriggertransitions(ctx: any): void;
    exitTriggertransitions(ctx: any): void;
    enterTriggertransition(ctx: any): void;
    exitTriggertransition(ctx: any): void;
    enterTransitionoldornew(ctx: any): void;
    exitTransitionoldornew(ctx: any): void;
    enterTransitionrowortable(ctx: any): void;
    exitTransitionrowortable(ctx: any): void;
    enterTransitionrelname(ctx: any): void;
    exitTransitionrelname(ctx: any): void;
    enterTriggerforspec(ctx: any): void;
    exitTriggerforspec(ctx: any): void;
    enterTriggerforopteach(ctx: any): void;
    exitTriggerforopteach(ctx: any): void;
    enterTriggerfortype(ctx: any): void;
    exitTriggerfortype(ctx: any): void;
    enterTriggerwhen(ctx: any): void;
    exitTriggerwhen(ctx: any): void;
    enterFunction_or_procedure(ctx: any): void;
    exitFunction_or_procedure(ctx: any): void;
    enterTriggerfuncargs(ctx: any): void;
    exitTriggerfuncargs(ctx: any): void;
    enterTriggerfuncarg(ctx: any): void;
    exitTriggerfuncarg(ctx: any): void;
    enterOptconstrfromtable(ctx: any): void;
    exitOptconstrfromtable(ctx: any): void;
    enterConstraintattributespec(ctx: any): void;
    exitConstraintattributespec(ctx: any): void;
    enterConstraintattributeElem(ctx: any): void;
    exitConstraintattributeElem(ctx: any): void;
    enterCreateeventtrigstmt(ctx: any): void;
    exitCreateeventtrigstmt(ctx: any): void;
    enterEvent_trigger_when_list(ctx: any): void;
    exitEvent_trigger_when_list(ctx: any): void;
    enterEvent_trigger_when_item(ctx: any): void;
    exitEvent_trigger_when_item(ctx: any): void;
    enterEvent_trigger_value_list(ctx: any): void;
    exitEvent_trigger_value_list(ctx: any): void;
    enterAltereventtrigstmt(ctx: any): void;
    exitAltereventtrigstmt(ctx: any): void;
    enterEnable_trigger(ctx: any): void;
    exitEnable_trigger(ctx: any): void;
    enterCreateassertionstmt(ctx: any): void;
    exitCreateassertionstmt(ctx: any): void;
    enterDefinestmt(ctx: any): void;
    exitDefinestmt(ctx: any): void;
    enterDefinition(ctx: any): void;
    exitDefinition(ctx: any): void;
    enterDef_list(ctx: any): void;
    exitDef_list(ctx: any): void;
    enterDef_elem(ctx: any): void;
    exitDef_elem(ctx: any): void;
    enterDef_arg(ctx: any): void;
    exitDef_arg(ctx: any): void;
    enterOld_aggr_definition(ctx: any): void;
    exitOld_aggr_definition(ctx: any): void;
    enterOld_aggr_list(ctx: any): void;
    exitOld_aggr_list(ctx: any): void;
    enterOld_aggr_elem(ctx: any): void;
    exitOld_aggr_elem(ctx: any): void;
    enterOpt_enum_val_list(ctx: any): void;
    exitOpt_enum_val_list(ctx: any): void;
    enterEnum_val_list(ctx: any): void;
    exitEnum_val_list(ctx: any): void;
    enterAlterenumstmt(ctx: any): void;
    exitAlterenumstmt(ctx: any): void;
    enterOpt_if_not_exists(ctx: any): void;
    exitOpt_if_not_exists(ctx: any): void;
    enterCreateopclassstmt(ctx: any): void;
    exitCreateopclassstmt(ctx: any): void;
    enterOpclass_item_list(ctx: any): void;
    exitOpclass_item_list(ctx: any): void;
    enterOpclass_item(ctx: any): void;
    exitOpclass_item(ctx: any): void;
    enterOpt_default(ctx: any): void;
    exitOpt_default(ctx: any): void;
    enterOpt_opfamily(ctx: any): void;
    exitOpt_opfamily(ctx: any): void;
    enterOpclass_purpose(ctx: any): void;
    exitOpclass_purpose(ctx: any): void;
    enterOpt_recheck(ctx: any): void;
    exitOpt_recheck(ctx: any): void;
    enterCreateopfamilystmt(ctx: any): void;
    exitCreateopfamilystmt(ctx: any): void;
    enterAlteropfamilystmt(ctx: any): void;
    exitAlteropfamilystmt(ctx: any): void;
    enterOpclass_drop_list(ctx: any): void;
    exitOpclass_drop_list(ctx: any): void;
    enterOpclass_drop(ctx: any): void;
    exitOpclass_drop(ctx: any): void;
    enterDropopclassstmt(ctx: any): void;
    exitDropopclassstmt(ctx: any): void;
    enterDropopfamilystmt(ctx: any): void;
    exitDropopfamilystmt(ctx: any): void;
    enterDropownedstmt(ctx: any): void;
    exitDropownedstmt(ctx: any): void;
    enterReassignownedstmt(ctx: any): void;
    exitReassignownedstmt(ctx: any): void;
    enterDropstmt(ctx: any): void;
    exitDropstmt(ctx: any): void;
    enterObject_type_any_name(ctx: any): void;
    exitObject_type_any_name(ctx: any): void;
    enterObject_type_name(ctx: any): void;
    exitObject_type_name(ctx: any): void;
    enterDrop_type_name(ctx: any): void;
    exitDrop_type_name(ctx: any): void;
    enterObject_type_name_on_any_name(ctx: any): void;
    exitObject_type_name_on_any_name(ctx: any): void;
    enterAny_name_list(ctx: any): void;
    exitAny_name_list(ctx: any): void;
    enterAny_name(ctx: any): void;
    exitAny_name(ctx: any): void;
    enterAttrs(ctx: any): void;
    exitAttrs(ctx: any): void;
    enterType_name_list(ctx: any): void;
    exitType_name_list(ctx: any): void;
    enterTruncatestmt(ctx: any): void;
    exitTruncatestmt(ctx: any): void;
    enterOpt_restart_seqs(ctx: any): void;
    exitOpt_restart_seqs(ctx: any): void;
    enterCommentstmt(ctx: any): void;
    exitCommentstmt(ctx: any): void;
    enterComment_text(ctx: any): void;
    exitComment_text(ctx: any): void;
    enterSeclabelstmt(ctx: any): void;
    exitSeclabelstmt(ctx: any): void;
    enterOpt_provider(ctx: any): void;
    exitOpt_provider(ctx: any): void;
    enterSecurity_label(ctx: any): void;
    exitSecurity_label(ctx: any): void;
    enterFetchstmt(ctx: any): void;
    exitFetchstmt(ctx: any): void;
    enterFetch_args(ctx: any): void;
    exitFetch_args(ctx: any): void;
    enterFrom_in(ctx: any): void;
    exitFrom_in(ctx: any): void;
    enterOpt_from_in(ctx: any): void;
    exitOpt_from_in(ctx: any): void;
    enterGrantstmt(ctx: any): void;
    exitGrantstmt(ctx: any): void;
    enterRevokestmt(ctx: any): void;
    exitRevokestmt(ctx: any): void;
    enterPrivileges(ctx: any): void;
    exitPrivileges(ctx: any): void;
    enterPrivilege_list(ctx: any): void;
    exitPrivilege_list(ctx: any): void;
    enterPrivilege(ctx: any): void;
    exitPrivilege(ctx: any): void;
    enterPrivilege_target(ctx: any): void;
    exitPrivilege_target(ctx: any): void;
    enterGrantee_list(ctx: any): void;
    exitGrantee_list(ctx: any): void;
    enterGrantee(ctx: any): void;
    exitGrantee(ctx: any): void;
    enterOpt_grant_grant_option(ctx: any): void;
    exitOpt_grant_grant_option(ctx: any): void;
    enterGrantrolestmt(ctx: any): void;
    exitGrantrolestmt(ctx: any): void;
    enterRevokerolestmt(ctx: any): void;
    exitRevokerolestmt(ctx: any): void;
    enterOpt_grant_admin_option(ctx: any): void;
    exitOpt_grant_admin_option(ctx: any): void;
    enterOpt_granted_by(ctx: any): void;
    exitOpt_granted_by(ctx: any): void;
    enterAlterdefaultprivilegesstmt(ctx: any): void;
    exitAlterdefaultprivilegesstmt(ctx: any): void;
    enterDefacloptionlist(ctx: any): void;
    exitDefacloptionlist(ctx: any): void;
    enterDefacloption(ctx: any): void;
    exitDefacloption(ctx: any): void;
    enterDefaclaction(ctx: any): void;
    exitDefaclaction(ctx: any): void;
    enterDefacl_privilege_target(ctx: any): void;
    exitDefacl_privilege_target(ctx: any): void;
    enterIndexstmt(ctx: any): void;
    exitIndexstmt(ctx: any): void;
    enterOpt_unique(ctx: any): void;
    exitOpt_unique(ctx: any): void;
    enterOpt_concurrently(ctx: any): void;
    exitOpt_concurrently(ctx: any): void;
    enterOpt_index_name(ctx: any): void;
    exitOpt_index_name(ctx: any): void;
    enterAccess_method_clause(ctx: any): void;
    exitAccess_method_clause(ctx: any): void;
    enterIndex_params(ctx: any): void;
    exitIndex_params(ctx: any): void;
    enterIndex_elem_options(ctx: any): void;
    exitIndex_elem_options(ctx: any): void;
    enterIndex_elem(ctx: any): void;
    exitIndex_elem(ctx: any): void;
    enterOpt_include(ctx: any): void;
    exitOpt_include(ctx: any): void;
    enterIndex_including_params(ctx: any): void;
    exitIndex_including_params(ctx: any): void;
    enterOpt_collate(ctx: any): void;
    exitOpt_collate(ctx: any): void;
    enterOpt_class(ctx: any): void;
    exitOpt_class(ctx: any): void;
    enterOpt_asc_desc(ctx: any): void;
    exitOpt_asc_desc(ctx: any): void;
    enterOpt_nulls_order(ctx: any): void;
    exitOpt_nulls_order(ctx: any): void;
    enterCreatefunctionstmt(ctx: any): void;
    exitCreatefunctionstmt(ctx: any): void;
    enterOpt_or_replace(ctx: any): void;
    exitOpt_or_replace(ctx: any): void;
    enterFunc_args(ctx: any): void;
    exitFunc_args(ctx: any): void;
    enterFunc_args_list(ctx: any): void;
    exitFunc_args_list(ctx: any): void;
    enterFunction_with_argtypes_list(ctx: any): void;
    exitFunction_with_argtypes_list(ctx: any): void;
    enterFunction_with_argtypes(ctx: any): void;
    exitFunction_with_argtypes(ctx: any): void;
    enterFunc_args_with_defaults(ctx: any): void;
    exitFunc_args_with_defaults(ctx: any): void;
    enterFunc_args_with_defaults_list(ctx: any): void;
    exitFunc_args_with_defaults_list(ctx: any): void;
    enterFunc_arg(ctx: any): void;
    exitFunc_arg(ctx: any): void;
    enterArg_class(ctx: any): void;
    exitArg_class(ctx: any): void;
    enterParam_name(ctx: any): void;
    exitParam_name(ctx: any): void;
    enterFunc_return(ctx: any): void;
    exitFunc_return(ctx: any): void;
    enterFunc_type(ctx: any): void;
    exitFunc_type(ctx: any): void;
    enterFunc_arg_with_default(ctx: any): void;
    exitFunc_arg_with_default(ctx: any): void;
    enterAggr_arg(ctx: any): void;
    exitAggr_arg(ctx: any): void;
    enterAggr_args(ctx: any): void;
    exitAggr_args(ctx: any): void;
    enterAggr_args_list(ctx: any): void;
    exitAggr_args_list(ctx: any): void;
    enterAggregate_with_argtypes(ctx: any): void;
    exitAggregate_with_argtypes(ctx: any): void;
    enterAggregate_with_argtypes_list(ctx: any): void;
    exitAggregate_with_argtypes_list(ctx: any): void;
    enterCreatefunc_opt_list(ctx: any): void;
    exitCreatefunc_opt_list(ctx: any): void;
    enterCommon_func_opt_item(ctx: any): void;
    exitCommon_func_opt_item(ctx: any): void;
    enterCreatefunc_opt_item(ctx: any): void;
    exitCreatefunc_opt_item(ctx: any): void;
    enterFunc_as(ctx: any): void;
    exitFunc_as(ctx: any): void;
    enterTransform_type_list(ctx: any): void;
    exitTransform_type_list(ctx: any): void;
    enterOpt_definition(ctx: any): void;
    exitOpt_definition(ctx: any): void;
    enterTable_func_column(ctx: any): void;
    exitTable_func_column(ctx: any): void;
    enterTable_func_column_list(ctx: any): void;
    exitTable_func_column_list(ctx: any): void;
    enterAlterfunctionstmt(ctx: any): void;
    exitAlterfunctionstmt(ctx: any): void;
    enterAlterfunc_opt_list(ctx: any): void;
    exitAlterfunc_opt_list(ctx: any): void;
    enterOpt_restrict(ctx: any): void;
    exitOpt_restrict(ctx: any): void;
    enterRemovefuncstmt(ctx: any): void;
    exitRemovefuncstmt(ctx: any): void;
    enterRemoveaggrstmt(ctx: any): void;
    exitRemoveaggrstmt(ctx: any): void;
    enterRemoveoperstmt(ctx: any): void;
    exitRemoveoperstmt(ctx: any): void;
    enterOper_argtypes(ctx: any): void;
    exitOper_argtypes(ctx: any): void;
    enterAny_operator(ctx: any): void;
    exitAny_operator(ctx: any): void;
    enterOperator_with_argtypes_list(ctx: any): void;
    exitOperator_with_argtypes_list(ctx: any): void;
    enterOperator_with_argtypes(ctx: any): void;
    exitOperator_with_argtypes(ctx: any): void;
    enterDostmt(ctx: any): void;
    exitDostmt(ctx: any): void;
    enterDostmt_opt_list(ctx: any): void;
    exitDostmt_opt_list(ctx: any): void;
    enterDostmt_opt_item(ctx: any): void;
    exitDostmt_opt_item(ctx: any): void;
    enterCreatecaststmt(ctx: any): void;
    exitCreatecaststmt(ctx: any): void;
    enterCast_context(ctx: any): void;
    exitCast_context(ctx: any): void;
    enterDropcaststmt(ctx: any): void;
    exitDropcaststmt(ctx: any): void;
    enterOpt_if_exists(ctx: any): void;
    exitOpt_if_exists(ctx: any): void;
    enterCreatetransformstmt(ctx: any): void;
    exitCreatetransformstmt(ctx: any): void;
    enterTransform_element_list(ctx: any): void;
    exitTransform_element_list(ctx: any): void;
    enterDroptransformstmt(ctx: any): void;
    exitDroptransformstmt(ctx: any): void;
    enterReindexstmt(ctx: any): void;
    exitReindexstmt(ctx: any): void;
    enterReindex_target_type(ctx: any): void;
    exitReindex_target_type(ctx: any): void;
    enterReindex_target_multitable(ctx: any): void;
    exitReindex_target_multitable(ctx: any): void;
    enterReindex_option_list(ctx: any): void;
    exitReindex_option_list(ctx: any): void;
    enterReindex_option_elem(ctx: any): void;
    exitReindex_option_elem(ctx: any): void;
    enterAltertblspcstmt(ctx: any): void;
    exitAltertblspcstmt(ctx: any): void;
    enterRenamestmt(ctx: any): void;
    exitRenamestmt(ctx: any): void;
    enterOpt_column(ctx: any): void;
    exitOpt_column(ctx: any): void;
    enterOpt_set_data(ctx: any): void;
    exitOpt_set_data(ctx: any): void;
    enterAlterobjectdependsstmt(ctx: any): void;
    exitAlterobjectdependsstmt(ctx: any): void;
    enterOpt_no(ctx: any): void;
    exitOpt_no(ctx: any): void;
    enterAlterobjectschemastmt(ctx: any): void;
    exitAlterobjectschemastmt(ctx: any): void;
    enterAlteroperatorstmt(ctx: any): void;
    exitAlteroperatorstmt(ctx: any): void;
    enterOperator_def_list(ctx: any): void;
    exitOperator_def_list(ctx: any): void;
    enterOperator_def_elem(ctx: any): void;
    exitOperator_def_elem(ctx: any): void;
    enterOperator_def_arg(ctx: any): void;
    exitOperator_def_arg(ctx: any): void;
    enterAltertypestmt(ctx: any): void;
    exitAltertypestmt(ctx: any): void;
    enterAlterownerstmt(ctx: any): void;
    exitAlterownerstmt(ctx: any): void;
    enterCreatepublicationstmt(ctx: any): void;
    exitCreatepublicationstmt(ctx: any): void;
    enterOpt_publication_for_tables(ctx: any): void;
    exitOpt_publication_for_tables(ctx: any): void;
    enterPublication_for_tables(ctx: any): void;
    exitPublication_for_tables(ctx: any): void;
    enterAlterpublicationstmt(ctx: any): void;
    exitAlterpublicationstmt(ctx: any): void;
    enterCreatesubscriptionstmt(ctx: any): void;
    exitCreatesubscriptionstmt(ctx: any): void;
    enterPublication_name_list(ctx: any): void;
    exitPublication_name_list(ctx: any): void;
    enterPublication_name_item(ctx: any): void;
    exitPublication_name_item(ctx: any): void;
    enterAltersubscriptionstmt(ctx: any): void;
    exitAltersubscriptionstmt(ctx: any): void;
    enterDropsubscriptionstmt(ctx: any): void;
    exitDropsubscriptionstmt(ctx: any): void;
    enterRulestmt(ctx: any): void;
    exitRulestmt(ctx: any): void;
    enterRuleactionlist(ctx: any): void;
    exitRuleactionlist(ctx: any): void;
    enterRuleactionmulti(ctx: any): void;
    exitRuleactionmulti(ctx: any): void;
    enterRuleactionstmt(ctx: any): void;
    exitRuleactionstmt(ctx: any): void;
    enterRuleactionstmtOrEmpty(ctx: any): void;
    exitRuleactionstmtOrEmpty(ctx: any): void;
    enterEvent(ctx: any): void;
    exitEvent(ctx: any): void;
    enterOpt_instead(ctx: any): void;
    exitOpt_instead(ctx: any): void;
    enterNotifystmt(ctx: any): void;
    exitNotifystmt(ctx: any): void;
    enterNotify_payload(ctx: any): void;
    exitNotify_payload(ctx: any): void;
    enterListenstmt(ctx: any): void;
    exitListenstmt(ctx: any): void;
    enterUnlistenstmt(ctx: any): void;
    exitUnlistenstmt(ctx: any): void;
    enterTransactionstmt(ctx: any): void;
    exitTransactionstmt(ctx: any): void;
    enterOpt_transaction(ctx: any): void;
    exitOpt_transaction(ctx: any): void;
    enterTransaction_mode_item(ctx: any): void;
    exitTransaction_mode_item(ctx: any): void;
    enterTransaction_mode_list(ctx: any): void;
    exitTransaction_mode_list(ctx: any): void;
    enterTransaction_mode_list_or_empty(ctx: any): void;
    exitTransaction_mode_list_or_empty(ctx: any): void;
    enterOpt_transaction_chain(ctx: any): void;
    exitOpt_transaction_chain(ctx: any): void;
    enterViewstmt(ctx: any): void;
    exitViewstmt(ctx: any): void;
    enterOpt_check_option(ctx: any): void;
    exitOpt_check_option(ctx: any): void;
    enterLoadstmt(ctx: any): void;
    exitLoadstmt(ctx: any): void;
    enterCreatedbstmt(ctx: any): void;
    exitCreatedbstmt(ctx: any): void;
    enterCreatedb_opt_list(ctx: any): void;
    exitCreatedb_opt_list(ctx: any): void;
    enterCreatedb_opt_items(ctx: any): void;
    exitCreatedb_opt_items(ctx: any): void;
    enterCreatedb_opt_item(ctx: any): void;
    exitCreatedb_opt_item(ctx: any): void;
    enterCreatedb_opt_name(ctx: any): void;
    exitCreatedb_opt_name(ctx: any): void;
    enterOpt_equal(ctx: any): void;
    exitOpt_equal(ctx: any): void;
    enterAlterdatabasestmt(ctx: any): void;
    exitAlterdatabasestmt(ctx: any): void;
    enterAlterdatabasesetstmt(ctx: any): void;
    exitAlterdatabasesetstmt(ctx: any): void;
    enterDropdbstmt(ctx: any): void;
    exitDropdbstmt(ctx: any): void;
    enterDrop_option_list(ctx: any): void;
    exitDrop_option_list(ctx: any): void;
    enterDrop_option(ctx: any): void;
    exitDrop_option(ctx: any): void;
    enterAltercollationstmt(ctx: any): void;
    exitAltercollationstmt(ctx: any): void;
    enterAltersystemstmt(ctx: any): void;
    exitAltersystemstmt(ctx: any): void;
    enterCreatedomainstmt(ctx: any): void;
    exitCreatedomainstmt(ctx: any): void;
    enterAlterdomainstmt(ctx: any): void;
    exitAlterdomainstmt(ctx: any): void;
    enterOpt_as(ctx: any): void;
    exitOpt_as(ctx: any): void;
    enterAltertsdictionarystmt(ctx: any): void;
    exitAltertsdictionarystmt(ctx: any): void;
    enterAltertsconfigurationstmt(ctx: any): void;
    exitAltertsconfigurationstmt(ctx: any): void;
    enterAny_with(ctx: any): void;
    exitAny_with(ctx: any): void;
    enterCreateconversionstmt(ctx: any): void;
    exitCreateconversionstmt(ctx: any): void;
    enterClusterstmt(ctx: any): void;
    exitClusterstmt(ctx: any): void;
    enterCluster_index_specification(ctx: any): void;
    exitCluster_index_specification(ctx: any): void;
    enterVacuumstmt(ctx: any): void;
    exitVacuumstmt(ctx: any): void;
    enterAnalyzestmt(ctx: any): void;
    exitAnalyzestmt(ctx: any): void;
    enterVac_analyze_option_list(ctx: any): void;
    exitVac_analyze_option_list(ctx: any): void;
    enterAnalyze_keyword(ctx: any): void;
    exitAnalyze_keyword(ctx: any): void;
    enterVac_analyze_option_elem(ctx: any): void;
    exitVac_analyze_option_elem(ctx: any): void;
    enterVac_analyze_option_name(ctx: any): void;
    exitVac_analyze_option_name(ctx: any): void;
    enterVac_analyze_option_arg(ctx: any): void;
    exitVac_analyze_option_arg(ctx: any): void;
    enterOpt_analyze(ctx: any): void;
    exitOpt_analyze(ctx: any): void;
    enterOpt_verbose(ctx: any): void;
    exitOpt_verbose(ctx: any): void;
    enterOpt_full(ctx: any): void;
    exitOpt_full(ctx: any): void;
    enterOpt_freeze(ctx: any): void;
    exitOpt_freeze(ctx: any): void;
    enterOpt_name_list(ctx: any): void;
    exitOpt_name_list(ctx: any): void;
    enterVacuum_relation(ctx: any): void;
    exitVacuum_relation(ctx: any): void;
    enterVacuum_relation_list(ctx: any): void;
    exitVacuum_relation_list(ctx: any): void;
    enterOpt_vacuum_relation_list(ctx: any): void;
    exitOpt_vacuum_relation_list(ctx: any): void;
    enterExplainstmt(ctx: any): void;
    exitExplainstmt(ctx: any): void;
    enterExplainablestmt(ctx: any): void;
    exitExplainablestmt(ctx: any): void;
    enterExplain_option_list(ctx: any): void;
    exitExplain_option_list(ctx: any): void;
    enterExplain_option_elem(ctx: any): void;
    exitExplain_option_elem(ctx: any): void;
    enterExplain_option_name(ctx: any): void;
    exitExplain_option_name(ctx: any): void;
    enterExplain_option_arg(ctx: any): void;
    exitExplain_option_arg(ctx: any): void;
    enterPreparestmt(ctx: any): void;
    exitPreparestmt(ctx: any): void;
    enterPrep_type_clause(ctx: any): void;
    exitPrep_type_clause(ctx: any): void;
    enterPreparablestmt(ctx: any): void;
    exitPreparablestmt(ctx: any): void;
    enterExecutestmt(ctx: any): void;
    exitExecutestmt(ctx: any): void;
    enterExecute_param_clause(ctx: any): void;
    exitExecute_param_clause(ctx: any): void;
    enterDeallocatestmt(ctx: any): void;
    exitDeallocatestmt(ctx: any): void;
    enterInsertstmt(ctx: any): void;
    exitInsertstmt(ctx: any): void;
    enterInsert_target(ctx: any): void;
    exitInsert_target(ctx: any): void;
    enterInsert_rest(ctx: any): void;
    exitInsert_rest(ctx: any): void;
    enterOverride_kind(ctx: any): void;
    exitOverride_kind(ctx: any): void;
    enterInsert_column_list(ctx: any): void;
    exitInsert_column_list(ctx: any): void;
    enterInsert_column_item(ctx: any): void;
    exitInsert_column_item(ctx: any): void;
    enterOpt_on_conflict(ctx: any): void;
    exitOpt_on_conflict(ctx: any): void;
    enterOpt_conf_expr(ctx: any): void;
    exitOpt_conf_expr(ctx: any): void;
    enterReturning_clause(ctx: any): void;
    exitReturning_clause(ctx: any): void;
    enterDeletestmt(ctx: any): void;
    exitDeletestmt(ctx: any): void;
    enterUsing_clause(ctx: any): void;
    exitUsing_clause(ctx: any): void;
    enterLockstmt(ctx: any): void;
    exitLockstmt(ctx: any): void;
    enterOpt_lock(ctx: any): void;
    exitOpt_lock(ctx: any): void;
    enterLock_type(ctx: any): void;
    exitLock_type(ctx: any): void;
    enterOpt_nowait(ctx: any): void;
    exitOpt_nowait(ctx: any): void;
    enterOpt_nowait_or_skip(ctx: any): void;
    exitOpt_nowait_or_skip(ctx: any): void;
    enterUpdatestmt(ctx: any): void;
    exitUpdatestmt(ctx: any): void;
    enterSet_clause_list(ctx: any): void;
    exitSet_clause_list(ctx: any): void;
    enterSet_clause(ctx: any): void;
    exitSet_clause(ctx: any): void;
    enterSet_target(ctx: any): void;
    exitSet_target(ctx: any): void;
    enterSet_target_list(ctx: any): void;
    exitSet_target_list(ctx: any): void;
    enterDeclarecursorstmt(ctx: any): void;
    exitDeclarecursorstmt(ctx: any): void;
    enterCursor_name(ctx: any): void;
    exitCursor_name(ctx: any): void;
    enterCursor_options(ctx: any): void;
    exitCursor_options(ctx: any): void;
    enterOpt_hold(ctx: any): void;
    exitOpt_hold(ctx: any): void;
    enterSelectstmt(ctx: any): void;
    exitSelectstmt(ctx: any): void;
    enterSelect_with_parens(ctx: any): void;
    exitSelect_with_parens(ctx: any): void;
    enterSelect_no_parens(ctx: any): void;
    exitSelect_no_parens(ctx: any): void;
    enterSelect_clause(ctx: any): void;
    exitSelect_clause(ctx: any): void;
    enterSimple_select(ctx: any): void;
    exitSimple_select(ctx: any): void;
    enterUnion(ctx: any): void;
    exitUnion(ctx: any): void;
    enterIntersect(ctx: any): void;
    exitIntersect(ctx: any): void;
    enterExcept(ctx: any): void;
    exitExcept(ctx: any): void;
    enterSet_operator_with_all_or_distinct(ctx: any): void;
    exitSet_operator_with_all_or_distinct(ctx: any): void;
    enterWith_clause(ctx: any): void;
    exitWith_clause(ctx: any): void;
    enterCte_list(ctx: any): void;
    exitCte_list(ctx: any): void;
    enterCommon_table_expr(ctx: any): void;
    exitCommon_table_expr(ctx: any): void;
    enterOpt_materialized(ctx: any): void;
    exitOpt_materialized(ctx: any): void;
    enterOpt_with_clause(ctx: any): void;
    exitOpt_with_clause(ctx: any): void;
    enterInto_clause(ctx: any): void;
    exitInto_clause(ctx: any): void;
    enterOpt_strict(ctx: any): void;
    exitOpt_strict(ctx: any): void;
    enterOpttempTableName(ctx: any): void;
    exitOpttempTableName(ctx: any): void;
    enterOpt_table(ctx: any): void;
    exitOpt_table(ctx: any): void;
    enterAll_or_distinct(ctx: any): void;
    exitAll_or_distinct(ctx: any): void;
    enterDistinct_clause(ctx: any): void;
    exitDistinct_clause(ctx: any): void;
    enterOpt_all_clause(ctx: any): void;
    exitOpt_all_clause(ctx: any): void;
    enterOpt_sort_clause(ctx: any): void;
    exitOpt_sort_clause(ctx: any): void;
    enterSort_clause(ctx: any): void;
    exitSort_clause(ctx: any): void;
    enterSortby_list(ctx: any): void;
    exitSortby_list(ctx: any): void;
    enterSortby(ctx: any): void;
    exitSortby(ctx: any): void;
    enterSelect_limit(ctx: any): void;
    exitSelect_limit(ctx: any): void;
    enterOpt_select_limit(ctx: any): void;
    exitOpt_select_limit(ctx: any): void;
    enterLimit_clause(ctx: any): void;
    exitLimit_clause(ctx: any): void;
    enterOffset_clause(ctx: any): void;
    exitOffset_clause(ctx: any): void;
    enterSelect_limit_value(ctx: any): void;
    exitSelect_limit_value(ctx: any): void;
    enterSelect_offset_value(ctx: any): void;
    exitSelect_offset_value(ctx: any): void;
    enterSelect_fetch_first_value(ctx: any): void;
    exitSelect_fetch_first_value(ctx: any): void;
    enterI_or_f_const(ctx: any): void;
    exitI_or_f_const(ctx: any): void;
    enterRow_or_rows(ctx: any): void;
    exitRow_or_rows(ctx: any): void;
    enterFirst_or_next(ctx: any): void;
    exitFirst_or_next(ctx: any): void;
    enterGroup_clause(ctx: any): void;
    exitGroup_clause(ctx: any): void;
    enterGroup_by_list(ctx: any): void;
    exitGroup_by_list(ctx: any): void;
    enterGroup_by_item(ctx: any): void;
    exitGroup_by_item(ctx: any): void;
    enterEmpty_grouping_set(ctx: any): void;
    exitEmpty_grouping_set(ctx: any): void;
    enterRollup_clause(ctx: any): void;
    exitRollup_clause(ctx: any): void;
    enterCube_clause(ctx: any): void;
    exitCube_clause(ctx: any): void;
    enterGrouping_sets_clause(ctx: any): void;
    exitGrouping_sets_clause(ctx: any): void;
    enterHaving_clause(ctx: any): void;
    exitHaving_clause(ctx: any): void;
    enterFor_locking_clause(ctx: any): void;
    exitFor_locking_clause(ctx: any): void;
    enterOpt_for_locking_clause(ctx: any): void;
    exitOpt_for_locking_clause(ctx: any): void;
    enterFor_locking_items(ctx: any): void;
    exitFor_locking_items(ctx: any): void;
    enterFor_locking_item(ctx: any): void;
    exitFor_locking_item(ctx: any): void;
    enterFor_locking_strength(ctx: any): void;
    exitFor_locking_strength(ctx: any): void;
    enterLocked_rels_list(ctx: any): void;
    exitLocked_rels_list(ctx: any): void;
    enterValues_clause(ctx: any): void;
    exitValues_clause(ctx: any): void;
    enterFrom_clause(ctx: any): void;
    exitFrom_clause(ctx: any): void;
    enterFrom_list(ctx: any): void;
    exitFrom_list(ctx: any): void;
    enterTable_ref(ctx: any): void;
    exitTable_ref(ctx: any): void;
    enterAlias_clause(ctx: any): void;
    exitAlias_clause(ctx: any): void;
    enterOpt_alias_clause(ctx: any): void;
    exitOpt_alias_clause(ctx: any): void;
    enterFunc_alias_clause(ctx: any): void;
    exitFunc_alias_clause(ctx: any): void;
    enterJoin_type(ctx: any): void;
    exitJoin_type(ctx: any): void;
    enterJoin_qual(ctx: any): void;
    exitJoin_qual(ctx: any): void;
    enterRelation_expr(ctx: any): void;
    exitRelation_expr(ctx: any): void;
    enterRelation_expr_list(ctx: any): void;
    exitRelation_expr_list(ctx: any): void;
    enterRelation_expr_opt_alias(ctx: any): void;
    exitRelation_expr_opt_alias(ctx: any): void;
    enterTablesample_clause(ctx: any): void;
    exitTablesample_clause(ctx: any): void;
    enterOpt_repeatable_clause(ctx: any): void;
    exitOpt_repeatable_clause(ctx: any): void;
    enterFunc_table(ctx: any): void;
    exitFunc_table(ctx: any): void;
    enterRowsfrom_item(ctx: any): void;
    exitRowsfrom_item(ctx: any): void;
    enterRowsfrom_list(ctx: any): void;
    exitRowsfrom_list(ctx: any): void;
    enterOpt_col_def_list(ctx: any): void;
    exitOpt_col_def_list(ctx: any): void;
    enterOpt_ordinality(ctx: any): void;
    exitOpt_ordinality(ctx: any): void;
    enterWhere_clause(ctx: any): void;
    exitWhere_clause(ctx: any): void;
    enterWhere_or_current_clause(ctx: any): void;
    exitWhere_or_current_clause(ctx: any): void;
    enterOpttablefuncelementlist(ctx: any): void;
    exitOpttablefuncelementlist(ctx: any): void;
    enterTablefuncelementlist(ctx: any): void;
    exitTablefuncelementlist(ctx: any): void;
    enterTablefuncelement(ctx: any): void;
    exitTablefuncelement(ctx: any): void;
    enterXmltable(ctx: any): void;
    exitXmltable(ctx: any): void;
    enterXmltable_column_list(ctx: any): void;
    exitXmltable_column_list(ctx: any): void;
    enterXmltable_column_el(ctx: any): void;
    exitXmltable_column_el(ctx: any): void;
    enterXmltable_column_option_list(ctx: any): void;
    exitXmltable_column_option_list(ctx: any): void;
    enterXmltable_column_option_el(ctx: any): void;
    exitXmltable_column_option_el(ctx: any): void;
    enterXml_namespace_list(ctx: any): void;
    exitXml_namespace_list(ctx: any): void;
    enterXml_namespace_el(ctx: any): void;
    exitXml_namespace_el(ctx: any): void;
    enterTypename(ctx: any): void;
    exitTypename(ctx: any): void;
    enterOpt_array_bounds(ctx: any): void;
    exitOpt_array_bounds(ctx: any): void;
    enterSimpletypename(ctx: any): void;
    exitSimpletypename(ctx: any): void;
    enterConsttypename(ctx: any): void;
    exitConsttypename(ctx: any): void;
    enterGenerictype(ctx: any): void;
    exitGenerictype(ctx: any): void;
    enterOpt_type_modifiers(ctx: any): void;
    exitOpt_type_modifiers(ctx: any): void;
    enterNumeric(ctx: any): void;
    exitNumeric(ctx: any): void;
    enterOpt_float(ctx: any): void;
    exitOpt_float(ctx: any): void;
    enterBit(ctx: any): void;
    exitBit(ctx: any): void;
    enterConstbit(ctx: any): void;
    exitConstbit(ctx: any): void;
    enterBitwithlength(ctx: any): void;
    exitBitwithlength(ctx: any): void;
    enterBitwithoutlength(ctx: any): void;
    exitBitwithoutlength(ctx: any): void;
    enterCharacter(ctx: any): void;
    exitCharacter(ctx: any): void;
    enterConstcharacter(ctx: any): void;
    exitConstcharacter(ctx: any): void;
    enterCharacter_c(ctx: any): void;
    exitCharacter_c(ctx: any): void;
    enterOpt_varying(ctx: any): void;
    exitOpt_varying(ctx: any): void;
    enterConstdatetime(ctx: any): void;
    exitConstdatetime(ctx: any): void;
    enterConstinterval(ctx: any): void;
    exitConstinterval(ctx: any): void;
    enterOpt_timezone(ctx: any): void;
    exitOpt_timezone(ctx: any): void;
    enterOpt_interval(ctx: any): void;
    exitOpt_interval(ctx: any): void;
    enterInterval_second(ctx: any): void;
    exitInterval_second(ctx: any): void;
    enterOpt_escape(ctx: any): void;
    exitOpt_escape(ctx: any): void;
    enterA_expr(ctx: any): void;
    exitA_expr(ctx: any): void;
    enterA_expr_qual(ctx: any): void;
    exitA_expr_qual(ctx: any): void;
    enterA_expr_lessless(ctx: any): void;
    exitA_expr_lessless(ctx: any): void;
    enterA_expr_or(ctx: any): void;
    exitA_expr_or(ctx: any): void;
    enterA_expr_and(ctx: any): void;
    exitA_expr_and(ctx: any): void;
    enterA_expr_in(ctx: any): void;
    exitA_expr_in(ctx: any): void;
    enterA_expr_unary_not(ctx: any): void;
    exitA_expr_unary_not(ctx: any): void;
    enterA_expr_isnull(ctx: any): void;
    exitA_expr_isnull(ctx: any): void;
    enterA_expr_is_not(ctx: any): void;
    exitA_expr_is_not(ctx: any): void;
    enterA_expr_compare(ctx: any): void;
    exitA_expr_compare(ctx: any): void;
    enterA_expr_like(ctx: any): void;
    exitA_expr_like(ctx: any): void;
    enterA_expr_qual_op(ctx: any): void;
    exitA_expr_qual_op(ctx: any): void;
    enterA_expr_unary_qualop(ctx: any): void;
    exitA_expr_unary_qualop(ctx: any): void;
    enterA_expr_add(ctx: any): void;
    exitA_expr_add(ctx: any): void;
    enterA_expr_mul(ctx: any): void;
    exitA_expr_mul(ctx: any): void;
    enterA_expr_caret(ctx: any): void;
    exitA_expr_caret(ctx: any): void;
    enterA_expr_unary_sign(ctx: any): void;
    exitA_expr_unary_sign(ctx: any): void;
    enterA_expr_at_time_zone(ctx: any): void;
    exitA_expr_at_time_zone(ctx: any): void;
    enterA_expr_collate(ctx: any): void;
    exitA_expr_collate(ctx: any): void;
    enterA_expr_typecast(ctx: any): void;
    exitA_expr_typecast(ctx: any): void;
    enterB_expr(ctx: any): void;
    exitB_expr(ctx: any): void;
    enterC_expr_exists(ctx: any): void;
    exitC_expr_exists(ctx: any): void;
    enterC_expr_expr(ctx: any): void;
    exitC_expr_expr(ctx: any): void;
    enterC_expr_case(ctx: any): void;
    exitC_expr_case(ctx: any): void;
    enterPlsqlvariablename(ctx: any): void;
    exitPlsqlvariablename(ctx: any): void;
    enterFunc_application(ctx: any): void;
    exitFunc_application(ctx: any): void;
    enterFunc_expr(ctx: any): void;
    exitFunc_expr(ctx: any): void;
    enterFunc_expr_windowless(ctx: any): void;
    exitFunc_expr_windowless(ctx: any): void;
    enterFunc_expr_common_subexpr(ctx: any): void;
    exitFunc_expr_common_subexpr(ctx: any): void;
    enterXml_root_version(ctx: any): void;
    exitXml_root_version(ctx: any): void;
    enterOpt_xml_root_standalone(ctx: any): void;
    exitOpt_xml_root_standalone(ctx: any): void;
    enterXml_attributes(ctx: any): void;
    exitXml_attributes(ctx: any): void;
    enterXml_attribute_list(ctx: any): void;
    exitXml_attribute_list(ctx: any): void;
    enterXml_attribute_el(ctx: any): void;
    exitXml_attribute_el(ctx: any): void;
    enterDocument_or_content(ctx: any): void;
    exitDocument_or_content(ctx: any): void;
    enterXml_whitespace_option(ctx: any): void;
    exitXml_whitespace_option(ctx: any): void;
    enterXmlexists_argument(ctx: any): void;
    exitXmlexists_argument(ctx: any): void;
    enterXml_passing_mech(ctx: any): void;
    exitXml_passing_mech(ctx: any): void;
    enterWithin_group_clause(ctx: any): void;
    exitWithin_group_clause(ctx: any): void;
    enterFilter_clause(ctx: any): void;
    exitFilter_clause(ctx: any): void;
    enterWindow_clause(ctx: any): void;
    exitWindow_clause(ctx: any): void;
    enterWindow_definition_list(ctx: any): void;
    exitWindow_definition_list(ctx: any): void;
    enterWindow_definition(ctx: any): void;
    exitWindow_definition(ctx: any): void;
    enterOver_clause(ctx: any): void;
    exitOver_clause(ctx: any): void;
    enterWindow_specification(ctx: any): void;
    exitWindow_specification(ctx: any): void;
    enterOpt_existing_window_name(ctx: any): void;
    exitOpt_existing_window_name(ctx: any): void;
    enterOpt_partition_clause(ctx: any): void;
    exitOpt_partition_clause(ctx: any): void;
    enterOpt_frame_clause(ctx: any): void;
    exitOpt_frame_clause(ctx: any): void;
    enterFrame_extent(ctx: any): void;
    exitFrame_extent(ctx: any): void;
    enterFrame_bound(ctx: any): void;
    exitFrame_bound(ctx: any): void;
    enterOpt_window_exclusion_clause(ctx: any): void;
    exitOpt_window_exclusion_clause(ctx: any): void;
    enterRow(ctx: any): void;
    exitRow(ctx: any): void;
    enterExplicit_row(ctx: any): void;
    exitExplicit_row(ctx: any): void;
    enterImplicit_row(ctx: any): void;
    exitImplicit_row(ctx: any): void;
    enterSub_type(ctx: any): void;
    exitSub_type(ctx: any): void;
    enterAll_op(ctx: any): void;
    exitAll_op(ctx: any): void;
    enterMathop(ctx: any): void;
    exitMathop(ctx: any): void;
    enterQual_op(ctx: any): void;
    exitQual_op(ctx: any): void;
    enterQual_all_op(ctx: any): void;
    exitQual_all_op(ctx: any): void;
    enterSubquery_Op(ctx: any): void;
    exitSubquery_Op(ctx: any): void;
    enterExpr_list(ctx: any): void;
    exitExpr_list(ctx: any): void;
    enterFunc_arg_list(ctx: any): void;
    exitFunc_arg_list(ctx: any): void;
    enterFunc_arg_expr(ctx: any): void;
    exitFunc_arg_expr(ctx: any): void;
    enterType_list(ctx: any): void;
    exitType_list(ctx: any): void;
    enterArray_expr(ctx: any): void;
    exitArray_expr(ctx: any): void;
    enterArray_expr_list(ctx: any): void;
    exitArray_expr_list(ctx: any): void;
    enterExtract_list(ctx: any): void;
    exitExtract_list(ctx: any): void;
    enterExtract_arg(ctx: any): void;
    exitExtract_arg(ctx: any): void;
    enterUnicode_normal_form(ctx: any): void;
    exitUnicode_normal_form(ctx: any): void;
    enterOverlay_list(ctx: any): void;
    exitOverlay_list(ctx: any): void;
    enterPosition_list(ctx: any): void;
    exitPosition_list(ctx: any): void;
    enterSubstr_list(ctx: any): void;
    exitSubstr_list(ctx: any): void;
    enterTrim_list(ctx: any): void;
    exitTrim_list(ctx: any): void;
    enterIn_expr_select(ctx: any): void;
    exitIn_expr_select(ctx: any): void;
    enterIn_expr_list(ctx: any): void;
    exitIn_expr_list(ctx: any): void;
    enterCase_expr(ctx: any): void;
    exitCase_expr(ctx: any): void;
    enterWhen_clause_list(ctx: any): void;
    exitWhen_clause_list(ctx: any): void;
    enterWhen_clause(ctx: any): void;
    exitWhen_clause(ctx: any): void;
    enterCase_default(ctx: any): void;
    exitCase_default(ctx: any): void;
    enterCase_arg(ctx: any): void;
    exitCase_arg(ctx: any): void;
    enterColumnref(ctx: any): void;
    exitColumnref(ctx: any): void;
    enterIndirection_el(ctx: any): void;
    exitIndirection_el(ctx: any): void;
    enterOpt_slice_bound(ctx: any): void;
    exitOpt_slice_bound(ctx: any): void;
    enterIndirection(ctx: any): void;
    exitIndirection(ctx: any): void;
    enterOpt_indirection(ctx: any): void;
    exitOpt_indirection(ctx: any): void;
    enterOpt_target_list(ctx: any): void;
    exitOpt_target_list(ctx: any): void;
    enterTarget_list(ctx: any): void;
    exitTarget_list(ctx: any): void;
    enterTarget_label(ctx: any): void;
    exitTarget_label(ctx: any): void;
    enterTarget_star(ctx: any): void;
    exitTarget_star(ctx: any): void;
    enterQualified_name_list(ctx: any): void;
    exitQualified_name_list(ctx: any): void;
    enterQualified_name(ctx: any): void;
    exitQualified_name(ctx: any): void;
    enterName_list(ctx: any): void;
    exitName_list(ctx: any): void;
    enterName(ctx: any): void;
    exitName(ctx: any): void;
    enterAttr_name(ctx: any): void;
    exitAttr_name(ctx: any): void;
    enterFile_name(ctx: any): void;
    exitFile_name(ctx: any): void;
    enterFunc_name(ctx: any): void;
    exitFunc_name(ctx: any): void;
    enterAexprconst(ctx: any): void;
    exitAexprconst(ctx: any): void;
    enterXconst(ctx: any): void;
    exitXconst(ctx: any): void;
    enterBconst(ctx: any): void;
    exitBconst(ctx: any): void;
    enterFconst(ctx: any): void;
    exitFconst(ctx: any): void;
    enterIconst(ctx: any): void;
    exitIconst(ctx: any): void;
    enterSconst(ctx: any): void;
    exitSconst(ctx: any): void;
    enterAnysconst(ctx: any): void;
    exitAnysconst(ctx: any): void;
    enterOpt_uescape(ctx: any): void;
    exitOpt_uescape(ctx: any): void;
    enterSignediconst(ctx: any): void;
    exitSignediconst(ctx: any): void;
    enterRoleid(ctx: any): void;
    exitRoleid(ctx: any): void;
    enterRolespec(ctx: any): void;
    exitRolespec(ctx: any): void;
    enterRole_list(ctx: any): void;
    exitRole_list(ctx: any): void;
    enterColid(ctx: any): void;
    exitColid(ctx: any): void;
    enterType_function_name(ctx: any): void;
    exitType_function_name(ctx: any): void;
    enterNonreservedword(ctx: any): void;
    exitNonreservedword(ctx: any): void;
    enterCollabel(ctx: any): void;
    exitCollabel(ctx: any): void;
    enterIdentifier(ctx: any): void;
    exitIdentifier(ctx: any): void;
    enterPlsqlidentifier(ctx: any): void;
    exitPlsqlidentifier(ctx: any): void;
    enterUnreserved_keyword(ctx: any): void;
    exitUnreserved_keyword(ctx: any): void;
    enterCol_name_keyword(ctx: any): void;
    exitCol_name_keyword(ctx: any): void;
    enterType_func_name_keyword(ctx: any): void;
    exitType_func_name_keyword(ctx: any): void;
    enterReserved_keyword(ctx: any): void;
    exitReserved_keyword(ctx: any): void;
    enterPl_function(ctx: any): void;
    exitPl_function(ctx: any): void;
    enterComp_options(ctx: any): void;
    exitComp_options(ctx: any): void;
    enterComp_option(ctx: any): void;
    exitComp_option(ctx: any): void;
    enterSharp(ctx: any): void;
    exitSharp(ctx: any): void;
    enterOption_value(ctx: any): void;
    exitOption_value(ctx: any): void;
    enterOpt_semi(ctx: any): void;
    exitOpt_semi(ctx: any): void;
    enterPl_block(ctx: any): void;
    exitPl_block(ctx: any): void;
    enterDecl_sect(ctx: any): void;
    exitDecl_sect(ctx: any): void;
    enterDecl_start(ctx: any): void;
    exitDecl_start(ctx: any): void;
    enterDecl_stmts(ctx: any): void;
    exitDecl_stmts(ctx: any): void;
    enterLabel_decl(ctx: any): void;
    exitLabel_decl(ctx: any): void;
    enterDecl_stmt(ctx: any): void;
    exitDecl_stmt(ctx: any): void;
    enterDecl_statement(ctx: any): void;
    exitDecl_statement(ctx: any): void;
    enterOpt_scrollable(ctx: any): void;
    exitOpt_scrollable(ctx: any): void;
    enterDecl_cursor_query(ctx: any): void;
    exitDecl_cursor_query(ctx: any): void;
    enterDecl_cursor_args(ctx: any): void;
    exitDecl_cursor_args(ctx: any): void;
    enterDecl_cursor_arglist(ctx: any): void;
    exitDecl_cursor_arglist(ctx: any): void;
    enterDecl_cursor_arg(ctx: any): void;
    exitDecl_cursor_arg(ctx: any): void;
    enterDecl_is_for(ctx: any): void;
    exitDecl_is_for(ctx: any): void;
    enterDecl_aliasitem(ctx: any): void;
    exitDecl_aliasitem(ctx: any): void;
    enterDecl_varname(ctx: any): void;
    exitDecl_varname(ctx: any): void;
    enterDecl_const(ctx: any): void;
    exitDecl_const(ctx: any): void;
    enterDecl_datatype(ctx: any): void;
    exitDecl_datatype(ctx: any): void;
    enterDecl_collate(ctx: any): void;
    exitDecl_collate(ctx: any): void;
    enterDecl_notnull(ctx: any): void;
    exitDecl_notnull(ctx: any): void;
    enterDecl_defval(ctx: any): void;
    exitDecl_defval(ctx: any): void;
    enterDecl_defkey(ctx: any): void;
    exitDecl_defkey(ctx: any): void;
    enterAssign_operator(ctx: any): void;
    exitAssign_operator(ctx: any): void;
    enterProc_sect(ctx: any): void;
    exitProc_sect(ctx: any): void;
    enterProc_stmt(ctx: any): void;
    exitProc_stmt(ctx: any): void;
    enterStmt_perform(ctx: any): void;
    exitStmt_perform(ctx: any): void;
    enterStmt_call(ctx: any): void;
    exitStmt_call(ctx: any): void;
    enterOpt_expr_list(ctx: any): void;
    exitOpt_expr_list(ctx: any): void;
    enterStmt_assign(ctx: any): void;
    exitStmt_assign(ctx: any): void;
    enterStmt_getdiag(ctx: any): void;
    exitStmt_getdiag(ctx: any): void;
    enterGetdiag_area_opt(ctx: any): void;
    exitGetdiag_area_opt(ctx: any): void;
    enterGetdiag_list(ctx: any): void;
    exitGetdiag_list(ctx: any): void;
    enterGetdiag_list_item(ctx: any): void;
    exitGetdiag_list_item(ctx: any): void;
    enterGetdiag_item(ctx: any): void;
    exitGetdiag_item(ctx: any): void;
    enterGetdiag_target(ctx: any): void;
    exitGetdiag_target(ctx: any): void;
    enterAssign_var(ctx: any): void;
    exitAssign_var(ctx: any): void;
    enterStmt_if(ctx: any): void;
    exitStmt_if(ctx: any): void;
    enterStmt_elsifs(ctx: any): void;
    exitStmt_elsifs(ctx: any): void;
    enterStmt_else(ctx: any): void;
    exitStmt_else(ctx: any): void;
    enterStmt_case(ctx: any): void;
    exitStmt_case(ctx: any): void;
    enterOpt_expr_until_when(ctx: any): void;
    exitOpt_expr_until_when(ctx: any): void;
    enterCase_when_list(ctx: any): void;
    exitCase_when_list(ctx: any): void;
    enterCase_when(ctx: any): void;
    exitCase_when(ctx: any): void;
    enterOpt_case_else(ctx: any): void;
    exitOpt_case_else(ctx: any): void;
    enterStmt_loop(ctx: any): void;
    exitStmt_loop(ctx: any): void;
    enterStmt_while(ctx: any): void;
    exitStmt_while(ctx: any): void;
    enterStmt_for(ctx: any): void;
    exitStmt_for(ctx: any): void;
    enterFor_control(ctx: any): void;
    exitFor_control(ctx: any): void;
    enterOpt_for_using_expression(ctx: any): void;
    exitOpt_for_using_expression(ctx: any): void;
    enterOpt_cursor_parameters(ctx: any): void;
    exitOpt_cursor_parameters(ctx: any): void;
    enterOpt_reverse(ctx: any): void;
    exitOpt_reverse(ctx: any): void;
    enterOpt_by_expression(ctx: any): void;
    exitOpt_by_expression(ctx: any): void;
    enterFor_variable(ctx: any): void;
    exitFor_variable(ctx: any): void;
    enterStmt_foreach_a(ctx: any): void;
    exitStmt_foreach_a(ctx: any): void;
    enterForeach_slice(ctx: any): void;
    exitForeach_slice(ctx: any): void;
    enterStmt_exit(ctx: any): void;
    exitStmt_exit(ctx: any): void;
    enterExit_type(ctx: any): void;
    exitExit_type(ctx: any): void;
    enterStmt_return(ctx: any): void;
    exitStmt_return(ctx: any): void;
    enterOpt_return_result(ctx: any): void;
    exitOpt_return_result(ctx: any): void;
    enterStmt_raise(ctx: any): void;
    exitStmt_raise(ctx: any): void;
    enterOpt_stmt_raise_level(ctx: any): void;
    exitOpt_stmt_raise_level(ctx: any): void;
    enterOpt_raise_list(ctx: any): void;
    exitOpt_raise_list(ctx: any): void;
    enterOpt_raise_using(ctx: any): void;
    exitOpt_raise_using(ctx: any): void;
    enterOpt_raise_using_elem(ctx: any): void;
    exitOpt_raise_using_elem(ctx: any): void;
    enterOpt_raise_using_elem_list(ctx: any): void;
    exitOpt_raise_using_elem_list(ctx: any): void;
    enterStmt_assert(ctx: any): void;
    exitStmt_assert(ctx: any): void;
    enterOpt_stmt_assert_message(ctx: any): void;
    exitOpt_stmt_assert_message(ctx: any): void;
    enterLoop_body(ctx: any): void;
    exitLoop_body(ctx: any): void;
    enterStmt_execsql(ctx: any): void;
    exitStmt_execsql(ctx: any): void;
    enterStmt_dynexecute(ctx: any): void;
    exitStmt_dynexecute(ctx: any): void;
    enterOpt_execute_using(ctx: any): void;
    exitOpt_execute_using(ctx: any): void;
    enterOpt_execute_using_list(ctx: any): void;
    exitOpt_execute_using_list(ctx: any): void;
    enterOpt_execute_into(ctx: any): void;
    exitOpt_execute_into(ctx: any): void;
    enterStmt_open(ctx: any): void;
    exitStmt_open(ctx: any): void;
    enterOpt_open_bound_list_item(ctx: any): void;
    exitOpt_open_bound_list_item(ctx: any): void;
    enterOpt_open_bound_list(ctx: any): void;
    exitOpt_open_bound_list(ctx: any): void;
    enterOpt_open_using(ctx: any): void;
    exitOpt_open_using(ctx: any): void;
    enterOpt_scroll_option(ctx: any): void;
    exitOpt_scroll_option(ctx: any): void;
    enterOpt_scroll_option_no(ctx: any): void;
    exitOpt_scroll_option_no(ctx: any): void;
    enterStmt_fetch(ctx: any): void;
    exitStmt_fetch(ctx: any): void;
    enterInto_target(ctx: any): void;
    exitInto_target(ctx: any): void;
    enterOpt_cursor_from(ctx: any): void;
    exitOpt_cursor_from(ctx: any): void;
    enterOpt_fetch_direction(ctx: any): void;
    exitOpt_fetch_direction(ctx: any): void;
    enterStmt_move(ctx: any): void;
    exitStmt_move(ctx: any): void;
    enterStmt_close(ctx: any): void;
    exitStmt_close(ctx: any): void;
    enterStmt_null(ctx: any): void;
    exitStmt_null(ctx: any): void;
    enterStmt_commit(ctx: any): void;
    exitStmt_commit(ctx: any): void;
    enterStmt_rollback(ctx: any): void;
    exitStmt_rollback(ctx: any): void;
    enterPlsql_opt_transaction_chain(ctx: any): void;
    exitPlsql_opt_transaction_chain(ctx: any): void;
    enterStmt_set(ctx: any): void;
    exitStmt_set(ctx: any): void;
    enterCursor_variable(ctx: any): void;
    exitCursor_variable(ctx: any): void;
    enterException_sect(ctx: any): void;
    exitException_sect(ctx: any): void;
    enterProc_exceptions(ctx: any): void;
    exitProc_exceptions(ctx: any): void;
    enterProc_exception(ctx: any): void;
    exitProc_exception(ctx: any): void;
    enterProc_conditions(ctx: any): void;
    exitProc_conditions(ctx: any): void;
    enterProc_condition(ctx: any): void;
    exitProc_condition(ctx: any): void;
    enterOpt_block_label(ctx: any): void;
    exitOpt_block_label(ctx: any): void;
    enterOpt_loop_label(ctx: any): void;
    exitOpt_loop_label(ctx: any): void;
    enterOpt_label(ctx: any): void;
    exitOpt_label(ctx: any): void;
    enterOpt_exitcond(ctx: any): void;
    exitOpt_exitcond(ctx: any): void;
    enterAny_identifier(ctx: any): void;
    exitAny_identifier(ctx: any): void;
    enterPlsql_unreserved_keyword(ctx: any): void;
    exitPlsql_unreserved_keyword(ctx: any): void;
    enterSql_expression(ctx: any): void;
    exitSql_expression(ctx: any): void;
    enterExpr_until_then(ctx: any): void;
    exitExpr_until_then(ctx: any): void;
    enterExpr_until_semi(ctx: any): void;
    exitExpr_until_semi(ctx: any): void;
    enterExpr_until_rightbracket(ctx: any): void;
    exitExpr_until_rightbracket(ctx: any): void;
    enterExpr_until_loop(ctx: any): void;
    exitExpr_until_loop(ctx: any): void;
    enterMake_execsql_stmt(ctx: any): void;
    exitMake_execsql_stmt(ctx: any): void;
    enterOpt_returning_clause_into(ctx: any): void;
    exitOpt_returning_clause_into(ctx: any): void;
}
